std::__detail::_SpecializedResults< _FwdIterT, _Alloc >(3)

NAME
std::__detail::_SpecializedResults< _FwdIterT, _Alloc > -

SYNOPSIS

Inherits std::__detail::_Results.

  Public Member Functions
_SpecializedResults (const _Automaton::_SizeT __size, const _SpecializedCursor< _FwdIterT > &__cursor, match_results< _FwdIterT, _Alloc > &__m)
void _M_set_matched (int __i, bool __is_matched)
void _M_set_pos (int __i, int __j, const _PatternCursor &__pc)

Detailed Description

  template<typename _FwdIterT, typename _Alloc>class std::__detail::_SpecializedResults< _FwdIterT, _Alloc >
A _Results facade specialized for wrapping a templated match_results.

Definition at line 55 of file regex_grep_matcher.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.